#! /bin/sh
# $Id: mixedform2,v 1.8 2020/11/26 00:26:50 tom Exp $

. ./setup-vars

backtitle="An Example for the use of --mixedform:"
returncode=0
while test $returncode != 1 && test $returncode != 250
do
returncode=$?
exec 3>&1
returntext=`$DIALOG  --title "Mixed form demonstration" --ok-label "Submit" \
           --backtitle "$backtitle" \
	  --insecure "$@" \
	  --mixedform "Here is a possible piece of a configuration program." \
20 50 0 \
	"Username        :"	 1 1	"Kiran" 1 20 10 0 2 \
	"Password        :"      2 1	"pass"  2 20  8 0 3 \
	"Retype Password :"      3 1	"pass"  3 20  8 0 3 \
	"HOME            :"      4 1	"Cisco" 4 20 40 0 2 \
2>&1 1>&3`
returncode=$?
exec 3>&-
show=`echo "$returntext" |sed -e 's/^/	/'`

	case $returncode in
	$DIALOG_CANCEL)
		"$DIALOG" \
		--clear \
		--backtitle "$backtitle" \
		--yesno "Really quit?" 10 30
		case $? in
		$DIALOG_OK)
			break
			;;
		$DIALOG_CANCEL)
			returncode=99
			;;
		esac
		;;
	$DIALOG_OK)
		"$DIALOG" \
		--clear \
		--backtitle "$backtitle" --no-collapse --cr-wrap \
		--msgbox "Resulting data:\n\
$show" 10 40
		;;
	*)
		. ./report-button
		exit
		;;
	esac
done
